import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { Assignment } from '../assignment.model';

@Component({
  selector: 'app-add-assignment',
  templateUrl: './add-assignment.component.html',
  styleUrls: ['./add-assignment.component.css'],
})
export class AddAssignmentComponent implements OnInit {
  @Output() nouvelAssignment = new EventEmitter<Assignment>();

  // champs de formulaire
  dateDeRendu = null;
  nomDevoir = '';

  constructor() {}

  ngOnInit(): void {}

  onSubmit(event) {
    event.preventDefault();

    // les deux champs sont obligatoires...
    if(!this.nomDevoir) return;
    if(!this.dateDeRendu) return;

    console.log('Bouton cliqué');
    console.log('Nom = ' + this.nomDevoir);
    console.log('Date = ' + this.dateDeRendu);

    let newAssignment = new Assignment();
    newAssignment.nom = this.nomDevoir;
    newAssignment.dateDeRendu = new Date(this.dateDeRendu);
    newAssignment.rendu = false;

    //this.assignments.push(nouvelAssignment);
    // on ne peut accéder au tableau des assignments qui est dans le
    // composant père.... on va devoir trouver un moyen de lui
    // communiquer le nouvel assignment saisi dans le form
    // et lui dire de le rajouter au tableau
    this.nouvelAssignment.emit(newAssignment);
  }
}
