import { Component, Input, OnInit } from '@angular/core';
import { AssignmentsService } from 'src/app/shared/assignments.service';
import { Assignment } from '../assignment.model';

@Component({
  selector: 'app-assignment-detail',
  templateUrl: './assignment-detail.component.html',
  styleUrls: ['./assignment-detail.component.css']
})
export class AssignmentDetailComponent implements OnInit {
  // ici c'est une propriété transmises par l'attribut "assignmentTransmis"
  @Input() assignmentTransmis:Assignment;

  constructor(private assignmentsService:AssignmentsService) { }

  ngOnInit(): void {
  }

  onAssignmentRendu() {
    this.assignmentTransmis.rendu = true;
  }

  onDelete() {
    // dans la version précédent ici on prévenait le père par un
    // événement etc. mais maintenant qu'on a un service, pas la peine !
    // on va utiliser directement le service :-)
    this.assignmentsService.deleteAssignment(this.assignmentTransmis)
    .subscribe(message => {
      console.log(message);
      this.assignmentTransmis = null;
    })
  }
}
