import { Component, OnInit } from '@angular/core';
import { AssignmentsService } from '../shared/assignments.service';
import { Assignment } from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css'],
})
export class AssignmentsComponent implements OnInit {

  // assignment dont on veut voir le détail en cliquant dessus
  assignmentSelectionne:Assignment;
  formVisible=false;

  assignments:Assignment[];

  constructor(private assignmentsService:AssignmentsService) {}

  ngOnInit(): void {
    this.assignmentsService.getAssignments()
      .subscribe((assignments:Assignment[]) => {
        // appelé que quand les données sont prêtes
        this.assignments = assignments;
        console.log("données reçues....")
      });

      console.log("données demandées....")
  }

  assignmentClique(a:Assignment) {
    console.log(a.nom)
    this.assignmentSelectionne = a;
  }

  onAddAssignment() {
    this.formVisible=true;
  }

  onNewAssignment(event) {
    console.log("Ici le père, j'ai reçu un événement du fils...")
    // event c'est le paramètre passé par le fils lors du emit(...)
    // c'est le nouvel assignment à ajouter
    //this.assignments.push(event);
    this.assignmentsService.addAssignment(event)
      .subscribe(message => {
        console.log(message);
        // et on cache le formulaire et on re-affiche la liste
        this.formVisible = false;
      })
  }
}
