import { Injectable } from '@angular/core';
import { Observable, of } from 'rxjs';
import { Assignment } from '../assignments/assignment.model';

@Injectable({
  providedIn: 'root'
})

export class AssignmentsService {
  assignments: Assignment[] = [
    {
      nom: 'Devoir Angular No1',
      dateDeRendu: new Date('02-20-2021'),
      rendu: false,
    },
    {
      nom: 'Devoir WebComponent',
      dateDeRendu: new Date('01-26-2021'),
      rendu: true,
    },
    {
      nom: 'Devoir TLN Elena Cabrio',
      dateDeRendu: new Date('01-30-2021'),
      rendu: false,
    },
  ];
  constructor() { }

  getAssignments():Observable<Assignment[]> {
    return of(this.assignments);
  }

  addAssignment(assignment:Assignment):Observable<string> {
    this.assignments.push(assignment);

    return of("AssignmentService : Assignment ajouté !");
  }

  updateAssignment(assignment:Assignment):Observable<string> {
    // par la suite on rajoutera du code pour modifier
    // dans une base de données distante.
    return of("AssignmentService : Assignment modifié !");
  }

  deleteAssignment(assignment:Assignment):Observable<string> {
    // par la suite on rajoutera du code pour modifier
    // dans une base de données distante.
    let index = this.assignments.indexOf(assignment);
    this.assignments.splice(index, 1); //pos et nb éléments à supprimer

    return of("AssignmentService : Assignment supprimé !");
  }

}
